RIO_GET_HOST_DEVICEI(9)

NAME
rio_get_host_deviceid_lock - Reads the Host Device ID Lock CSR on a device

SYNOPSIS

u16 rio_get_host_deviceid_lock(struct rio_mport * port, u8 hopcount);

ARGUMENTS

port
    Master port to send transaction

hopcount
    Number of hops to the device

DESCRIPTION

Used during enumeration to read the Host Device ID Lock CSR on a RIO device. Returns the value of the lock register.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT